Subject: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Andy Moreton <[email-masked]>
Date: Tue, 09 Jun 2015 12:48:16 +0100

On Mon 08 Jun 2015, Eli Zaretskii wrote:

>> From: Andreas Schwab <[email-masked]>
>> Cc: Vasilij Schneidermann <[email-masked]>,  [email-masked]
>> Date: Mon, 08 Jun 2015 16:52:48 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > The problem is that most such fonts are not free.  Is Symbola free?
>> 
>> http://users.teilar.gr/~g1951d/
>> "free for any use"
>
> Thanks, I pushed a change that I hope will improve the default
> fontset's coverage of the various symbol characters.

This has caused a regression for me on the mingw64 build of emacs.

I use various box drawing characters in gnus to show threading, and
these normally come from DejaVu Mono (the default font).

After this change, Emacs uses Batang Che for the box drawing characters,
unless I add code to reverse the effects of the patch.

Can you please improve the patch to avoid overriding the default font
with fonts that don't exist, or at least make it easier for the user to
choose the fonts chosen for the symbol-subgroup and box drawing
characters without copying the character ranges.

    AndyM